<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/basicinfo/Dt_LocationInfo.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/basicinfo/LocationStatusChange.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'locationID',
            footer: "Foots",
            cnName: '货位状态变动记录',
            name: 'LocationStatusChange',
            url: "/LocationStatusChangeRecord/",
            sortName: "LocationID"
        });
        const editFormFields = ref({});
        const editFormOptions = ref([]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "货位编号", "field": "locationCode", type: "text" },
                { "title": "变动前货位状态", "field": "BeforeStatus", "type": "select", dataKey: "LocationState", data: [] },
                { "title": "变动后货位状态", "field": "AfterStatus", "type": "select", dataKey: "LocationState", data: [] },
                { "title": "变动类型", "field": "changeType", type: "select", dataKey: "StatusChangeType", data: []  },
            ]
        ]);
        const columns = ref([{ field: 'Id', title: '主键', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'locationId', title: '货位ID', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'locationCode', title: '货位编号', type: 'string', width: 110, require: true, align: 'left' },
        { field: 'beforeStatus', title: '变动前货位状态', type: 'int', width: 120, align: 'left', bind: { key: "LocationState", data: [] } },
        { field: 'afterStatus', title: '变动后货位状态', type: 'int', width: 110, require: true, align: 'left', sort: true, bind: { key: "LocationState", data: [] } },
        { field: 'changeType', title: '变动类型（出库、入库、手动调整...）', type: 'string', width: 70, align: 'left', bind: { key: "StatusChangeType", data: [] }  },
        { field: 'orderId', title: '单据主键', type: 'string', width: 70, align: 'left' },
        { field: 'orderNo', title: '单据编号', type: 'string', width: 110, align: 'left' },
        { field: 'orderDetailId', title: '单据明细主键', type: 'string', width: 110, align: 'left' },
        { field: 'taskNum', title: '任务号', type: 'string', width: 110, align: 'left' },
        { field: 'remark', title: '备注', type: 'int', width: 110, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
